Bug 1482570 - boot fails since kernel 4.12: kernel BUG at ./include/linux/gfp.h:393!
Summary: boot fails since kernel 4.12: kernel BUG at ./include/linux/gfp.h:393!
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1483174 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-17 15:18 UTC by Bernard Godard
Modified: 2017-09-01 03:22 UTC (History)
15 users (show)

Fixed In Version: kernel-4.12.9-300.fc26 kernel-4.12.9-200.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-31 22:52:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Bernard Godard 2017-08-17 15:18:59 UTC
Description of problem:
Since installing kernel 4.12 boot stops before login manager and system become irresponsive with message (extracted from journalctl -b 1 after rebooting succesfully in kernel 4.11):

Aug 16 22:31:59 saturn kernel: ------------[ cut here ]------------
Aug 16 22:31:59 saturn kernel: kernel BUG at ./include/linux/gfp.h:393!
Aug 16 22:31:59 saturn kernel: invalid opcode: 0000 [#1] SMP
Aug 16 22:31:59 saturn kernel: Modules linked in: xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables it87 hwmon_vid sunrpc squashfs loop cx88_blackbird cx2341x eeepc_wmi asus_wmi sparse_keymap rfkill video cx22702 cx88_dvb cx88_vp3054_i2c videobuf2_dvb dvb_core wm8775 tuner_simple tuner_types mxm_wmi tda9887 tda8290 tuner edac_mce_amd snd_hda_codec_realtek cx8802 cx8800
Aug 16 22:31:59 saturn kernel:  kvm_amd joydev cx88_alsa videobuf2_dma_sg snd_hda_codec_generic snd_hda_codec_hdmi kvm cx88xx videobuf2_memops irqbypass videobuf2_v4l2 snd_hda_intel tveeprom snd_hda_codec ir_rc6_decoder videobuf2_core v4l2_common ir_lirc_codec lirc_dev rc_rc6_mce crct10dif_pclmul mceusb rc_core crc32_pclmul snd_hda_core videodev ghash_clmulni_intel snd_hwdep snd_seq media sp5100_tco fam15h_power k10temp i2c_piix4 snd_seq_device snd_pcm snd_timer snd soundcore tpm_infineon acpi_cpufreq tpm_tis tpm_tis_core shpchp tpm wmi crc32c_intel amdkfd amd_iommu_v2 radeon i2c_algo_bit drm_kms_helper ttm drm r8169 mii
Aug 16 22:31:59 saturn kernel: CPU: 1 PID: 1440 Comm: pulseaudio Not tainted 4.12.5-300.fc26.x86_64 #1
Aug 16 22:31:59 saturn kernel: Hardware name: To be filled by O.E.M. To be filled by O.E.M./M5A97 R2.0, BIOS 2103 11/06/2013
Aug 16 22:31:59 saturn kernel: task: ffff9da7926225c0 task.stack: ffffb39085dfc000
Aug 16 22:31:59 saturn kernel: RIP: 0010:__alloc_pages_nodemask+0x220/0x280
Aug 16 22:31:59 saturn kernel: RSP: 0018:ffffb39085dffbe0 EFLAGS: 00010202
Aug 16 22:31:59 saturn kernel: RAX: 0000000000000001 RBX: 00000000014002c6 RCX: 0000000000000006
Aug 16 22:31:59 saturn kernel: RDX: 0000000000000006 RSI: 0000000000000000 RDI: ffff9da7befd5080
Aug 16 22:31:59 saturn kernel: RBP: ffffb39085dffc38 R08: ffff9da7bec5d660 R09: ffff9da7b6003980
Aug 16 22:31:59 saturn kernel: R10: ffffffffffffffff R11: ffff9da7b6003980 R12: 0000000000000000
Aug 16 22:31:59 saturn kernel: R13: 00000000014002c6 R14: 0000000000000000 R15: ffff9da7926225c0
Aug 16 22:31:59 saturn kernel: FS:  00007f57d3cc3dc0(0000) GS:ffff9da7bec40000(0000) knlGS:0000000000000000
Aug 16 22:31:59 saturn kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Aug 16 22:31:59 saturn kernel: CR2: 00007f6673795070 CR3: 0000000210b01000 CR4: 00000000000406e0
Aug 16 22:31:59 saturn kernel: Call Trace:
Aug 16 22:31:59 saturn kernel:  ? __get_vm_area_node+0x7f/0x160
Aug 16 22:31:59 saturn kernel:  alloc_pages_current+0x93/0x150
Aug 16 22:31:59 saturn kernel:  __vmalloc_node_range+0x20e/0x2c0
Aug 16 22:31:59 saturn kernel:  vmalloc_32+0x3e/0x40
Aug 16 22:31:59 saturn kernel:  ? snd_cx88_hw_params+0xd7/0x390 [cx88_alsa]
Aug 16 22:31:59 saturn kernel:  snd_cx88_hw_params+0xd7/0x390 [cx88_alsa]
Aug 16 22:31:59 saturn kernel:  ? snd_pcm_hw_param_first+0xe0/0x1f0 [snd_pcm]
Aug 16 22:31:59 saturn kernel:  snd_pcm_hw_params+0xb9/0x390 [snd_pcm]
Aug 16 22:31:59 saturn kernel:  snd_pcm_common_ioctl1+0x402/0xc20 [snd_pcm]
Aug 16 22:31:59 saturn kernel:  snd_pcm_capture_ioctl1+0x19c/0x250 [snd_pcm]
Aug 16 22:31:59 saturn kernel:  snd_pcm_capture_ioctl+0x27/0x40 [snd_pcm]
Aug 16 22:31:59 saturn kernel:  do_vfs_ioctl+0xa5/0x600
Aug 16 22:31:59 saturn kernel:  SyS_ioctl+0x79/0x90
Aug 16 22:31:59 saturn kernel:  entry_SYSCALL_64_fastpath+0x1a/0xa5
Aug 16 22:31:59 saturn kernel: RIP: 0033:0x7f57d21595b7
Aug 16 22:31:59 saturn kernel: RSP: 002b:00007ffd4070c228 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
Aug 16 22:31:59 saturn kernel: RAX: ffffffffffffffda RBX: 0000000000000000 RCX: 00007f57d21595b7
Aug 16 22:31:59 saturn kernel: RDX: 00007ffd4070c330 RSI: 00000000c2604111 RDI: 000000000000001f
Aug 16 22:31:59 saturn kernel: RBP: 000000bbee7aa610 R08: 0000000000000000 R09: 0000000000000000
Aug 16 22:31:59 saturn kernel: R10: 0000000000000004 R11: 0000000000000246 R12: 000000000000001f
Aug 16 22:31:59 saturn kernel: R13: 0000000000000004 R14: 00007ffd4070c630 R15: 00007ffd4070c930
Aug 16 22:31:59 saturn kernel: Code: ff e8 e5 0d 08 00 85 c0 0f 84 0c ff ff ff 4c 89 ff 44 89 e6 45 31 ff e8 bf d9 ff ff e9 f9 fe ff ff e8 75 b3 01 00 e9 c9 fe ff ff <0f> 0b 0f ff e9 60 fe ff ff 65 48 8b 04 25 40 d3 00 00 8b 40 1c 
Aug 16 22:31:59 saturn kernel: RIP: __alloc_pages_nodemask+0x220/0x280 RSP: ffffb39085dffbe0
Aug 16 22:31:59 saturn kernel: ---[ end trace 39a47f883c3c3f1c ]---

Version-Release number of selected component (if applicable):
4.12.5-300.fc26.x86_64

How reproducible:
always

Steps to Reproduce:
1. boot computer with last kernel 4.12.5-300

Actual results:
Fail to to reach login manager.

Expected results:
Reaches login manager.

Additional info:
-

Comment 1 Laura Abbott 2017-08-17 17:14:49 UTC
Issue with vmalloc_32, I put a patch in the tree. This bug will be updated when it goes into a build.

Comment 2 Dietmar Schnabel 2017-08-24 21:06:44 UTC
For Laura Abbott:

Should this fix have been included in the 4.12.8-300.fc26.x86_64 build (which was a 'next' build?

I seem to still suffer from the same issue?

System can boot (on KDE - but i cannot shut go into energy saving mode anymore. And power off hangs.)

Thank you for informing. Maybe it was not just part of this latest release which i installed today (i had the same problem with 4.12.5)

Here a extract of the messages i am getting:

    4.994042] kernel BUG at ./include/linux/gfp.h:393!
[    4.994054] invalid opcode: 0000 [#1] SMP
[    4.994057] Modules linked in: x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel snd_usb_audio(+) uvcvideo(+) iTCO_wdt iTCO_vendor_support kvm snd_hda_codec_hdmi(+) rc_hauppauge v
ideobuf2_vmalloc eeepc_wmi videobuf2_memops ir_kbd_i2c videobuf2_v4l2 videobuf2_core snd_usbmidi_lib asus_wmi sparse_keymap snd_rawmidi rfkill irqbypass crct10dif_pclmul crc32_pclmul tuner_
simple tuner_types ghash_clmulni_intel intel_cstate intel_uncore tuner intel_rapl_perf msp3400 snd_hda_codec_realtek snd_hda_codec_generic budget_av(+) snd_hda_intel i2c_i801 saa7146_vv snd
_hda_codec budget_core snd_hda_core snd_bt87x bttv snd_hwdep ttpci_eeprom snd_seq snd_seq_device saa7146 tea575x snd_pcm dvb_core tveeprom videobuf_dma_sg videobuf_core snd_timer rc_core v4
l2_common lpc_ich mei_me videodev media snd mei soundcore
[    4.994100]  shpchp tpm_tis tpm_tis_core tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc nouveau crc32c_intel mxm_wmi i2c_algo_bit serio_raw drm_kms_helper uas ttm ata_generi
c pata_acpi firewire_ohci r8169 drm mii usb_storage firewire_core pata_marvell crc_itu_t wmi video
[    4.994120] CPU: 0 PID: 550 Comm: systemd-udevd Not tainted 4.12.8-300.fc26.x86_64 #1
[    4.994124] Hardware name: System manufacturer System Product Name/P8P67 LE, BIOS 3703 04/25/2013
[    4.994128] task: ffff9a3693e30000 task.stack: ffffaa1841574000
[    4.994134] RIP: 0010:__alloc_pages_nodemask+0x220/0x280
[    4.994137] RSP: 0018:ffffaa18415777c0 EFLAGS: 00010202
[    4.994141] RAX: 0000000000000001 RBX: 00000000014002c6 RCX: 0000000000000006
[    4.994144] RDX: 0000000000000006 RSI: 0000000000000000 RDI: ffff9a369efd3080
[    4.994147] RBP: ffffaa1841577818 R08: ffff9a369ec1d720 R09: ffff9a3696003080
[    4.994151] R10: ffffffffffffffff R11: ffff9a3696003080 R12: 0000000000000000
[    4.994154] R13: 00000000014002c6 R14: 0000000000000000 R15: ffff9a3693e30000
[    4.994157] FS:  00007f9e901058c0(0000) GS:ffff9a369ec00000(0000) knlGS:0000000000000000
[    4.994161] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[    4.994164] CR2: 00000059ac4be000 CR3: 0000000210958000 CR4: 00000000000406f0
[    4.994168] Call Trace:
[    4.994173]  ? __get_vm_area_node+0x7f/0x160
[    4.994177]  alloc_pages_current+0x93/0x150
[    4.994181]  __vmalloc_node_range+0x20e/0x2c0
[    4.994184]  vmalloc_32+0x3e/0x40
[    4.994189]  ? saa7146_vmalloc_build_pgtable+0x33/0x220 [saa7146]
[    4.994193]  saa7146_vmalloc_build_pgtable+0x33/0x220 [saa7146]
[    4.994197]  ttpci_budget_init+0x2b5/0x590 [budget_core]
[    4.994205]  ? vprintk_emit+0x2d8/0x340
[    4.994209]  budget_av_attach+0xa1/0xd74 [budget_av]
[    4.994213]  ? vprintk_default+0x1f/0x30
[    4.994216]  ? vprintk_func+0x20/0x50
[    4.994220]  ? printk+0x52/0x6e
[    4.994223]  saa7146_init_one+0x680/0x1580 [saa7146]
[    4.994226]  ? saa7146_init_one+0x680/0x1580 [saa7146]
[    4.994231]  local_pci_probe+0x42/0xa0
[    4.994235]  pci_device_probe+0x157/0x180
[    4.994239]  driver_probe_device+0x2ff/0x450
[    4.994243]  __driver_attach+0xa4/0xe0
[    4.994246]  ? driver_probe_device+0x450/0x450
[    4.994249]  bus_for_each_dev+0x6e/0xb0
[    4.994252]  driver_attach+0x1e/0x20
[    4.995205]  bus_add_driver+0x1d0/0x270
[    4.996369]  ? 0xffffffffc08bd000
[    4.997522]  driver_register+0x60/0xe0
[    4.998663]  ? 0xffffffffc08bd000
[    4.999793]  __pci_register_driver+0x4c/0x50
[    5.000916]  saa7146_register_extension+0x60/0x90 [saa7146]
:

Any Kernel build i can test already?

Thank you

Dietmar

Comment 3 Dietmar Schnabel 2017-08-24 21:07:35 UTC
For Laura Abbott:

Should this fix have been included in the 4.12.8-300.fc26.x86_64 build (which was a 'next' build?

I seem to still suffer from the same issue?

System can boot (on KDE - but i cannot shut go into energy saving mode anymore. And power off hangs.)

Thank you for informing. Maybe it was not just part of this latest release which i installed today (i had the same problem with 4.12.5)

Here a extract of the messages i am getting:

    4.994042] kernel BUG at ./include/linux/gfp.h:393!
[    4.994054] invalid opcode: 0000 [#1] SMP
[    4.994057] Modules linked in: x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel snd_usb_audio(+) uvcvideo(+) iTCO_wdt iTCO_vendor_support kvm snd_hda_codec_hdmi(+) rc_hauppauge v
ideobuf2_vmalloc eeepc_wmi videobuf2_memops ir_kbd_i2c videobuf2_v4l2 videobuf2_core snd_usbmidi_lib asus_wmi sparse_keymap snd_rawmidi rfkill irqbypass crct10dif_pclmul crc32_pclmul tuner_
simple tuner_types ghash_clmulni_intel intel_cstate intel_uncore tuner intel_rapl_perf msp3400 snd_hda_codec_realtek snd_hda_codec_generic budget_av(+) snd_hda_intel i2c_i801 saa7146_vv snd
_hda_codec budget_core snd_hda_core snd_bt87x bttv snd_hwdep ttpci_eeprom snd_seq snd_seq_device saa7146 tea575x snd_pcm dvb_core tveeprom videobuf_dma_sg videobuf_core snd_timer rc_core v4
l2_common lpc_ich mei_me videodev media snd mei soundcore
[    4.994100]  shpchp tpm_tis tpm_tis_core tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc nouveau crc32c_intel mxm_wmi i2c_algo_bit serio_raw drm_kms_helper uas ttm ata_generi
c pata_acpi firewire_ohci r8169 drm mii usb_storage firewire_core pata_marvell crc_itu_t wmi video
[    4.994120] CPU: 0 PID: 550 Comm: systemd-udevd Not tainted 4.12.8-300.fc26.x86_64 #1
[    4.994124] Hardware name: System manufacturer System Product Name/P8P67 LE, BIOS 3703 04/25/2013
[    4.994128] task: ffff9a3693e30000 task.stack: ffffaa1841574000
[    4.994134] RIP: 0010:__alloc_pages_nodemask+0x220/0x280
[    4.994137] RSP: 0018:ffffaa18415777c0 EFLAGS: 00010202
[    4.994141] RAX: 0000000000000001 RBX: 00000000014002c6 RCX: 0000000000000006
[    4.994144] RDX: 0000000000000006 RSI: 0000000000000000 RDI: ffff9a369efd3080
[    4.994147] RBP: ffffaa1841577818 R08: ffff9a369ec1d720 R09: ffff9a3696003080
[    4.994151] R10: ffffffffffffffff R11: ffff9a3696003080 R12: 0000000000000000
[    4.994154] R13: 00000000014002c6 R14: 0000000000000000 R15: ffff9a3693e30000
[    4.994157] FS:  00007f9e901058c0(0000) GS:ffff9a369ec00000(0000) knlGS:0000000000000000
[    4.994161] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[    4.994164] CR2: 00000059ac4be000 CR3: 0000000210958000 CR4: 00000000000406f0
[    4.994168] Call Trace:
[    4.994173]  ? __get_vm_area_node+0x7f/0x160
[    4.994177]  alloc_pages_current+0x93/0x150
[    4.994181]  __vmalloc_node_range+0x20e/0x2c0
[    4.994184]  vmalloc_32+0x3e/0x40
[    4.994189]  ? saa7146_vmalloc_build_pgtable+0x33/0x220 [saa7146]
[    4.994193]  saa7146_vmalloc_build_pgtable+0x33/0x220 [saa7146]
[    4.994197]  ttpci_budget_init+0x2b5/0x590 [budget_core]
[    4.994205]  ? vprintk_emit+0x2d8/0x340
[    4.994209]  budget_av_attach+0xa1/0xd74 [budget_av]
[    4.994213]  ? vprintk_default+0x1f/0x30
[    4.994216]  ? vprintk_func+0x20/0x50
[    4.994220]  ? printk+0x52/0x6e
[    4.994223]  saa7146_init_one+0x680/0x1580 [saa7146]
[    4.994226]  ? saa7146_init_one+0x680/0x1580 [saa7146]
[    4.994231]  local_pci_probe+0x42/0xa0
[    4.994235]  pci_device_probe+0x157/0x180
[    4.994239]  driver_probe_device+0x2ff/0x450
[    4.994243]  __driver_attach+0xa4/0xe0
[    4.994246]  ? driver_probe_device+0x450/0x450
[    4.994249]  bus_for_each_dev+0x6e/0xb0
[    4.994252]  driver_attach+0x1e/0x20
[    4.995205]  bus_add_driver+0x1d0/0x270
[    4.996369]  ? 0xffffffffc08bd000
[    4.997522]  driver_register+0x60/0xe0
[    4.998663]  ? 0xffffffffc08bd000
[    4.999793]  __pci_register_driver+0x4c/0x50
[    5.000916]  saa7146_register_extension+0x60/0x90 [saa7146]
:

Any Kernel build i can test already?

Thank you

Dietmar

Comment 4 Joachim Jaeckel 2017-08-25 00:09:03 UTC
same problem in kernel-4.12.8-300.fc26.x86_64

Comment 5 Fedora Update System 2017-08-25 21:13:09 UTC
kernel-4.12.9-300.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-78c4c71539

Comment 6 Fedora Update System 2017-08-25 21:14:57 UTC
kernel-4.12.9-200.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b4c022807

Comment 7 Dietmar Schnabel 2017-08-26 08:55:48 UTC
(In reply to Fedora Update System from comment #5)
> kernel-4.12.9-300.fc26 has been submitted as an update to Fedora 26.
> https://bodhi.fedoraproject.org/updates/FEDORA-2017-78c4c71539

Updated kernel and problems are gone. Suspend + Shutdown work again.

Thank You!

Dietmar

Comment 8 Fedora Update System 2017-08-26 22:35:56 UTC
kernel-4.12.9-300.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-78c4c71539

Comment 9 Fedora Update System 2017-08-26 22:37:03 UTC
kernel-4.12.9-200.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b4c022807

Comment 10 Joachim Jaeckel 2017-08-26 23:33:00 UTC
*** Bug 1483174 has been marked as a duplicate of this bug. ***

Comment 11 Bernard Godard 2017-08-29 12:46:27 UTC
kernel-4.12.9-200.fc25 fixes the issue for me.

Comment 12 Fedora Update System 2017-08-31 22:52:43 UTC
kernel-4.12.9-300.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-09-01 03:22:50 UTC
kernel-4.12.9-200.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.